/** Copyright (C) 2017 by Bundesanstalt für Gewässerkunde
 * Software engineering by
 *  Björnsen Beratende Ingenieure GmbH
 *  Dr. Schumacher Ingenieurbüro für Wasser und Umwelt
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */
package org.dive4elements.river.artifacts.model.fixings.fitting;

/**
 * @author Gernot Belger
 */
final class ArraySubstraction {

    private final double[] minuend;

    public ArraySubstraction(final double[] minuend) {
        this.minuend = minuend;
    }

    public double[] evaluate(final double[] subtrahend) {

        final double[] difference = new double[this.minuend.length];
        for (int i = 0; i < difference.length; i++)
            difference[i] = this.minuend[i] - subtrahend[i];
        return difference;
    }
}